# Agentpy - Agent-based modeling in Python

Agentpy is a package for the development and analysis of agent-based models in Python. The packages is still in a very early stage of development. If you need help using Agentpy or want to contribute, feel free to write me via joel.foramitti@uab.cat.

**Main features:**

- Creation of custom agent types, environments, and networks.
- Design of models with complex procedures and multiple environments.
- Standard operators can be used on whole groups of agents simultaneously.
- Experiments with repeated iterations, large parameter samples, and distinct scenarios.
- Output data that can be saved, loaded, and re-arranged for further analysis.
- Tools for sensitivity analysis, interactive output, animations, and visualization.

**Documentation:** https://agentpy.readthedocs.io

**Tutorials:** https://agentpy.readthedocs.io/en/latest/tutorials.html

**Requirements:** Python 3, NumPy, scipy, matplotlib, networkx, pandas, SALib, and ipywidgets.

**Installation:** `pip install agentpy`
